Network.Wai.Handler.Warp

# Run a Warp server

run

runEnv

runSettings

runSettingsSocket

# Run an HTTP/2-aware server

runHTTP2

runHTTP2Env

runHTTP2Settings

runHTTP2SettingsSocket

# Settings

data Settings

defaultSettings

## Setters

setPort

setHost

setOnException

setOnExceptionResponse

setOnOpen

setOnClose

setTimeout

setManager

setFdCacheDuration

setFileInfoCacheDuration

setBeforeMainLoop

setNoParsePath

setInstallShutdownHandler

setServerName

setMaximumBodyFlush

setFork

setProxyProtocolNone

setProxyProtocolRequired

setProxyProtocolOptional

setSlowlorisSize

setHTTP2Disabled

setLogger

## Getters

getPort

getHost

getOnOpen

getOnClose

getOnException

## Exception handler

defaultOnException

defaultShouldDisplayException

## Exception response handler

defaultOnExceptionResponse

exceptionResponseForDebug

# Data types

data HostPreference

type Port

data InvalidRequest

# Utilities

pauseTimeout

data FileInfo

getFileInfo

# Internal

## Low level run functions

runSettingsConnection

runSettingsConnectionMaker

runSettingsConnectionMakerSecure

data Transport

## Connection

data Connection

socketConnection

## Buffer

type Buffer

type BufSize

bufferSize

allocateBuffer

freeBuffer

## Sendfile

data FileId

type SendFile

sendFile

readSendFile

## Version

warpVersion

## Data types

data InternalInfo

type HeaderValue

type IndexedHeader

requestMaxIndex

## File descriptor cache

withFdCache

getFd

type MutableFdCache

type Refresh

## Date

withDateCache

getDate

type DateCache

type GMTDate

## Request and response

data Source

recvRequest

sendResponse

## Time out manager

## Types

type Manager

type TimeoutAction

data Handle

## Manager

initialize

stopManager

killManager

withManager

## Registration

register

registerKillThread

## Control

tickle

cancel

pause

resume

## Exceptions

data TimeoutThread